[@rxap/data-source](../wiki/globals) / DataSourceLoader

# Class: DataSourceLoader

Defined in: [packages/angular/data-source/src/lib/data-source-loader.ts:18](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/data-source/src/lib/data-source-loader.ts#L18)

## Extends

- `DefinitionLoader`

## Constructors

### new DataSourceLoader()

> **new DataSourceLoader**(`injector`): [`DataSourceLoader`](../wiki/Class.DataSourceLoader)

Defined in: [packages/angular/definition/src/lib/definition.loader.ts:15](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/definition/src/lib/definition.loader.ts#L15)

#### Parameters

##### injector

`Injector`

#### Returns

[`DataSourceLoader`](../wiki/Class.DataSourceLoader)

#### Inherited from

`DefinitionLoader.constructor`

## Methods

### connect()

> **connect**\<`Data`\>(`dataSourceIdOrInstanceOrToken`, `viewer`, `metadata`?, `injector`?, `notFoundValue`?, `flags`?): `Observable`\<`Data`\>

Defined in: [packages/angular/data-source/src/lib/data-source-loader.ts:20](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/data-source/src/lib/data-source-loader.ts#L20)

#### Type Parameters

• **Data**

#### Parameters

##### dataSourceIdOrInstanceOrToken

`IdOrInstanceOrToken`\<[`BaseDataSource`](../wiki/Class.BaseDataSource)\<`Data`, [`BaseDataSourceMetadata`](../wiki/Interface.BaseDataSourceMetadata), [`BaseDataSourceViewer`](../wiki/Interface.BaseDataSourceViewer)\<`any`\>\>\>

##### viewer

[`BaseDataSourceViewer`](../wiki/Interface.BaseDataSourceViewer)

##### metadata?

`Partial`\<[`BaseDataSourceMetadata`](../wiki/Interface.BaseDataSourceMetadata)\>

##### injector?

`Injector`

##### notFoundValue?

[`BaseDataSource`](../wiki/Class.BaseDataSource)\<`Data`, [`BaseDataSourceMetadata`](../wiki/Interface.BaseDataSourceMetadata), [`BaseDataSourceViewer`](../wiki/Interface.BaseDataSourceViewer)\<`any`\>\>

##### flags?

`InjectFlags`

#### Returns

`Observable`\<`Data`\>

***

### load()

> **load**\<`Definition`\>(`definitionIdOrInstanceOrInjectionToken`, `metadata`?, `injector`?, `notFoundValue`?, `flags`?): `Definition`

Defined in: [packages/angular/definition/src/lib/definition.loader.ts:21](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/definition/src/lib/definition.loader.ts#L21)

#### Type Parameters

• **Definition** *extends* `BaseDefinition`\<`BaseDefinitionMetadata`\>

#### Parameters

##### definitionIdOrInstanceOrInjectionToken

`IdOrInstanceOrToken`\<`Definition`\>

##### metadata?

`Partial`\<`BaseDefinitionMetadata`\>

##### injector?

`Injector` = `...`

##### notFoundValue?

`Definition`

##### flags?

`InjectFlags`

#### Returns

`Definition`

#### Inherited from

`DefinitionLoader.load`
